Index: admin/include/lib/vulab.users.function.php
===================================================================
--- admin/include/lib/vulab.users.function.php	(revision 7124)
+++ admin/include/lib/vulab.users.function.php	(working copy)
@@ -84,7 +84,7 @@
 }
 //- Takes array of Project Objects
 //- Returns HTML table of Project Fields
-function display_users_table($fields,$users,$options=null) {
+function display_users_table($fields,$users,$options=null,$project_id=null) {
 
 
 	if (!is_array($fields)) { return "no fields"; }
@@ -113,7 +113,12 @@
 		$HTML .= '<tr>';
 		foreach ($fields as $field) {
 			if ($field == 'option_checkbox') {
-				$HTML .= "<td class='center'><input type='checkbox' name='users[$user->id]' id='users[$user->id]' value='$user->id' class='options0'></td>";
+				$checkbox = "<input type='checkbox' name='users[$user->id]' id='users[$user->id]' value='$user->id' class='options0'>";
+				$check_invited = new Perm('user',$user->id);
+				if (!is_numeric($check_invited->id) OR $check_invited->checkUser($project_id)) {
+					unset($checkbox);
+				}
+				$HTML .= "<td class='center'>$checkbox</td>";
 			} else { 
 				$HTML .= "<td><a href='$plink'>".$user->details[$field]."</a></td>";
 			}
Index: admin/include/where/viewstep_html_5.inc
===================================================================
--- admin/include/where/viewstep_html_5.inc	(revision 7124)
+++ admin/include/where/viewstep_html_5.inc	(working copy)
@@ -31,10 +31,10 @@
 foreach ($testers as $k => $tester) {
 	$tester = new Perm('user',$tester->id);
 	if (!is_numeric($tester->id) OR $tester->checkUser($project->id)) {
-		unset($testers[$k]);
+		#unset($testers[$k]);
 	}
 }
-echo display_users_table($fields,$testers,$options);
+echo display_users_table($fields,$testers,$options,$project->id);
 ?>
 
 <input type="hidden" name="from" value="5" id="from" />
Index: admin/include/where/step_html_5.inc
===================================================================
--- admin/include/where/step_html_5.inc	(revision 7124)
+++ admin/include/where/step_html_5.inc	(working copy)
@@ -31,10 +31,10 @@
 foreach ($testers as $k => $tester) {
 	$tester = new Perm('user',$tester->id);
 	if (!is_numeric($tester->id) OR $tester->checkUser($project->id)) {
-		unset($testers[$k]);
+		#unset($testers[$k]);
 	}
 }
-echo display_users_table($fields,$testers,$options);
+echo display_users_table($fields,$testers,$options,$project->id);
 ?>
 
 <input type="hidden" name="from" value="5" id="from" />
